org.hibernate.validator.ap.util

## Class TypeNames.BeanValidationTypes

- java.lang.Object
- - org.hibernate.validator.ap.util.TypeNames.BeanValidationTypes

- Enclosing class:
    TypeNames

      public static class TypeNames.BeanValidationTypes
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASSERT_FALSE`
    `static String` | `ASSERT_TRUE`
    `static String` | `CONSTRAINT`
    `static String` | `CONSTRAINT_VALIDATOR`
    `static String` | `DECIMAL_MAX`
    `static String` | `DECIMAL_MIN`
    `static String` | `DIGITS`
    `static String` | `FUTURE`
    `static String` | `GROUP_SEQUENCE`
    `static String` | `JAVAX_VALIDATION`
    `static String` | `JAVAX_VALIDATION_CONSTRAINTS`
    `static String` | `MAX`
    `static String` | `MIN`
    `static String` | `NOT_NULL`
    `static String` | `NULL`
    `static String` | `PAST`
    `static String` | `PATTERN`
    `static String` | `PAYLOAD`
    `static String` | `SIZE`
    `static String` | `VALID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeNames.BeanValidationTypes()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVAX_VALIDATION

          public static final String JAVAX_VALIDATION

      See Also:
        Constant Field Values

    - #### CONSTRAINT

          public static final String CONSTRAINT

      See Also:
        Constant Field Values

    - #### CONSTRAINT_VALIDATOR

          public static final String CONSTRAINT_VALIDATOR

      See Also:
        Constant Field Values

    - #### GROUP_SEQUENCE

          public static final String GROUP_SEQUENCE

      See Also:
        Constant Field Values

    - #### PAYLOAD

          public static final String PAYLOAD

      See Also:
        Constant Field Values

    - #### VALID

          public static final String VALID

      See Also:
        Constant Field Values

    - #### JAVAX_VALIDATION_CONSTRAINTS

          public static final String JAVAX_VALIDATION_CONSTRAINTS

      See Also:
        Constant Field Values

    - #### ASSERT_FALSE

          public static final String ASSERT_FALSE

      See Also:
        Constant Field Values

    - #### ASSERT_TRUE

          public static final String ASSERT_TRUE

      See Also:
        Constant Field Values

    - #### DECIMAL_MAX

          public static final String DECIMAL_MAX

      See Also:
        Constant Field Values

    - #### DECIMAL_MIN

          public static final String DECIMAL_MIN

      See Also:
        Constant Field Values

    - #### DIGITS

          public static final String DIGITS

      See Also:
        Constant Field Values

    - #### FUTURE

          public static final String FUTURE

      See Also:
        Constant Field Values

    - #### MAX

          public static final String MAX

      See Also:
        Constant Field Values

    - #### MIN

          public static final String MIN

      See Also:
        Constant Field Values

    - #### NOT_NULL

          public static final String NOT_NULL

      See Also:
        Constant Field Values

    - #### NULL

          public static final String NULL

      See Also:
        Constant Field Values

    - #### PAST

          public static final String PAST

      See Also:
        Constant Field Values

    - #### PATTERN

          public static final String PATTERN

      See Also:
        Constant Field Values

    - #### SIZE

          public static final String SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TypeNames.BeanValidationTypes

          public TypeNames.BeanValidationTypes()

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved